Bug 95549 - FILEOPEN - XLSM opens very slowly
Summary: FILEOPEN - XLSM opens very slowly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: filter:xlsx, haveBacktrace, perf
Depends on:
Blocks: File-Opening
  Show dependency treegraph
 
Reported: 2015-11-03 18:41 UTC by Anthony
Modified: 2021-09-02 18:22 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
open slowly (8.05 MB, application/vnd.ms-excel.sheet.macroEnabled.12)
2015-11-03 18:41 UTC, Anthony
Details
open slowly - reduced (927.04 KB, application/vnd.ms-excel.sheet.macroenabled.12)
2015-11-04 16:09 UTC, Timur
Details
.xlsm file with macros which opens too slowly (1.34 MB, application/vnd.ms-excel.sheet.macroEnabled.12)
2016-04-26 10:51 UTC, Pavel Gubin
Details
Callgrind part 1, 7-zip (6.00 MB, application/x-7z-compressed)
2016-04-30 20:07 UTC, Buovjaga
Details
Callgrind part 2, 7-zip (4.56 MB, application/octet-stream)
2016-04-30 20:08 UTC, Buovjaga
Details
perf flamegraph (635.87 KB, application/x-bzip)
2021-09-02 18:22 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony 2015-11-03 18:41:57 UTC
Created attachment 120238 [details]
open slowly

The xlsm document  attach to this bug open very very slowly ...
Comment 2 Anthony 2015-11-04 06:45:26 UTC
Same problem on windows and linux and on version 4.2.8 and 5.0.2.

But issue 95548 and 95549 concern two realy differents document. It is impossible to say that they have the same issue.
Comment 3 Timur 2015-11-04 16:09:37 UTC
Created attachment 120262 [details]
open slowly - reduced

This xlsm is linked, and you didn't provide a link. LO should note that and warn, but for the test, please provide that also.
Comment 4 Timur 2015-11-04 16:12:53 UTC Comment hidden (obsolete)
Comment 5 Anthony 2015-11-04 18:45:33 UTC
Hello,

I don't have the link. I think the document should worked without this link. If the linked document is important for the test i could try to retrieve this.

Best regards
  Anthony
Comment 6 Timur 2015-11-04 19:17:37 UTC
It's valoris 38. MSO cannot break link without it.
Comment 7 Buovjaga 2016-04-26 09:21:45 UTC Comment hidden (obsolete)
Comment 8 Pavel Gubin 2016-04-26 10:51:43 UTC
Created attachment 124644 [details]
.xlsm file with macros which opens too slowly

Env: XUbuntu 14.04/amd64, Athlon64 X2 4000+, 3GB RAM, LibreOffice 5.1.2.2 build 1:5.1.2~rc2-0ubuntu1~trusty0.
1) Attached file opened in 1:25 (from pressing "Open" button in file select box to "File contains macros" warning)
2) libreoffice --convert-to ods price-april.xlsm lasts 3:25, and 1:50 from start to message "convert .../price-april.xlsm -> .../price-april.ods using filter : calc8"; new file has size ~3.8M
3) libreoffice --convert-to xls price-april.xlsm lasts 2:52, and 1:35 from start to message "convert .../price-april.xlsm -> .../price-april.xls using filter : MS Excel 97"; new file has size ~3.3M
4) .ods opened in 0:20, .xls a bit faster (from pressing "Open" to warning about macros)
Comment 9 Julien Nabet 2016-04-26 19:05:49 UTC
*** Bug 95548 has been marked as a duplicate of this bug. ***
Comment 10 Buovjaga 2016-04-30 19:48:28 UTC
Here is a callgrind output of opening the file: http://s000.tinyupload.com/index.php?file_id=09685792322442464873

I used attachment 120238 [details].
It took nearly 12 hours to complete..

Unfortunately, even with tar.xz compression it went slightly over 10M :(
I tried .7z, tar.bz2 and tar.lzma as well, but no luck.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha1+
Build ID: 540fee2dc7553152914f7f1d8a41921e765087ef
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on April 30th 2016
Comment 11 Buovjaga 2016-04-30 20:07:36 UTC
Created attachment 124753 [details]
Callgrind part 1, 7-zip

On the urging of cloph, I decided to split the archive in two and upload so it is never lost.
Comment 12 Buovjaga 2016-04-30 20:08:32 UTC
Created attachment 124754 [details]
Callgrind part 2, 7-zip
Comment 13 QA Administrators 2017-09-01 11:17:54 UTC Comment hidden (obsolete)
Comment 14 josselin.stark 2017-11-11 09:49:12 UTC
I'm having a very similar issue, using LO 5.4.2.2. I am trying to open a 16MB large XLSM file (https://www.dropbox.com/s/m4m1nurerbg0dpf/DS-NKh-Sentence%20Maker.zip?dl=0).
The progress bar goes up to about 80% before the process hangs. Task manager shows me LibreOffice is using 25% of the CPU and 1.2GB of RAM, but it doesn't seem to be able to finish the task.
Comment 15 QA Administrators 2018-11-12 03:41:36 UTC Comment hidden (obsolete)
Comment 16 Xisco Faulí 2019-04-24 11:53:46 UTC
it takes

real	7m17,041s
user	7m9,884s
sys	0m2,841s

in

Version: 6.3.0.0.alpha0+
Build ID: 90e3b47b52f26420425a7417d2f51b6a386282d9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 17 QA Administrators 2021-04-24 04:10:27 UTC Comment hidden (obsolete)
Comment 18 Buovjaga 2021-05-03 12:38:04 UTC Comment hidden (obsolete)
Comment 19 Xisco Faulí 2021-05-03 20:14:30 UTC
Still reproducible here

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: dff586735b6618d9b011823594a33287d8f7f223
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

real	4m4,785s
user	4m0,576s
sys	0m2,473s
Comment 20 Xisco Faulí 2021-05-03 20:27:52 UTC Comment hidden (obsolete)
Comment 21 Buovjaga 2021-05-04 13:44:07 UTC Comment hidden (obsolete)
Comment 22 Roman Kuznetsov 2021-05-04 18:34:28 UTC Comment hidden (obsolete)
Comment 23 Roman Kuznetsov 2021-05-05 06:41:22 UTC
MS Excel opens it for about 10 sec

It took 6 min 35 sec in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 931e264590100c555580c413556e229a0f03316a
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded

I don't see any improvements here for windows only
Comment 24 Buovjaga 2021-05-05 06:53:00 UTC Comment hidden (obsolete)
Comment 25 Commit Notification 2021-08-12 11:53:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b2a1c29d5958e0cc6d8f0e68c11121131dfa1513

tdf#95549 speed up load of xls

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2021-08-12 12:11:32 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/38027099e773403ffd3314a5b54493adc65150ec

tdf#95549 speed up navigator tree load

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2021-08-12 12:18:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/df6a8b15a67baa6e2717a7de7755ac93fdb46723

tdf#95549 speed up xls open

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Buovjaga 2021-09-02 09:33:40 UTC
Opens in 43 secs now

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: eae0636311d3a1b3a1af58a3e4df686b55afa3fa
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Comment 29 Julien Nabet 2021-09-02 18:22:14 UTC
Created attachment 174744 [details]
perf flamegraph

Here's a Flamegraph retrieved on pc Debian x86-64 with master sources updated today + gen rendering.